Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group.interceptors
Class FragmentationInterceptor.FragCollection

    java.lang.Object
      org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragCollection

Enclosing class:
  FragmentationInterceptor

    public static class FragmentationInterceptor.FragCollection

extends java.lang.Object

Constructor Summary
`FragmentationInterceptor.FragCollection(ChannelMessage msg)`

Method Summary
`void` | `addMessage(ChannelMessage msg)`
`ChannelMessage` | `assemble()`
`boolean` | `complete()`
`boolean` | `expired(long expire)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FragmentationInterceptor.FragCollection

    public FragmentationInterceptor.FragCollection(ChannelMessage msg)

Method Detail

### addMessage

    public void addMessage(ChannelMessage msg)

### complete

    public boolean complete()

### assemble

    public ChannelMessage assemble()

### expired

    public boolean expired(long expire)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.